PropertyHelper.PropertySetter (Apache Ant API)
Keywords: org.apache.tools.ant.PropertyHelper.PropertySetter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface PropertyHelper.PropertySetter

All Superinterfaces:
  PropertyHelper.Delegate

All Known Implementing Classes:
  LocalProperties

Enclosing class:
  PropertyHelper

    public static interface PropertyHelper.PropertySetter

extends PropertyHelper.Delegate

Sets or overrides a property.

Can be used to store properties in a different storage than the project instance (like local properties for example).

Since:
  Ant 1.8.0

Method Summary
`boolean` | `set(java.lang.String property, java.lang.Object value, PropertyHelper propertyHelper)` Set a property.
`boolean` | `setNew(java.lang.String property, java.lang.Object value, PropertyHelper propertyHelper)` Set a *new" property.

Method Detail

### setNew

    boolean setNew(java.lang.String property,
                   java.lang.Object value,
                   PropertyHelper propertyHelper)

  Set a *new" property.

  Should not replace the value of an existing property.

  Parameters:
    `property` - the property's String "identifier".
    `value` - the value to set.
    `propertyHelper` - the invoking PropertyHelper.
  Returns:
    true if this entity 'owns' the property.

### set

    boolean set(java.lang.String property,
                java.lang.Object value,
                PropertyHelper propertyHelper)

  Set a property.

  May replace the value of an existing property.

  Parameters:
    `property` - the property's String "identifier".
    `value` - the value to set.
    `propertyHelper` - the invoking PropertyHelper.
  Returns:
    true if this entity 'owns' the property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD